Updates the equipment_family object with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
equipment_family| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| name |
Name of the equipment family |
string |
Required Max length: 50 |
| description |
Description of the equipment family |
string |
Max length: 4000 |
| code |
The Id/Ref of the back office. Used by Embedded entity |
string |
Max length: 50 |
| _parent_id |
Parent Equipment Family (Parent / Child) when adding/updating equipment_family |
globally unique identifier | |
| _parent_code |
Embedded entity "equipment_family" for parent (Parent / Child) using ERP PK when adding/updating equipment_family |
string | |
| _parent_equipment_family |
Embedded entity "equipment_family" for parent (Parent / Child) when adding/updating equipment_family |
equipment_family | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company_type |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating company_type |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "b0d65125-09d5-4ba5-b562-185cd4ced243",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "99e70e77-725f-4b99-86ff-b1ddb917311a",
"_parent_code": "sample string 6",
"sales_organization_id": "73296558-2a30-4f0c-b591-e71e012d4b15",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "e95dbc96-8e6a-46ff-94d5-ca79082f149b",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "79b8443c-5c57-4ffd-b0a3-89b450357475",
"db_currency_id": "d5011118-c0f3-422f-ad15-5041ddafc467",
"db_language_id": "39cd1676-31a5-44fe-87fb-a84a44a70755",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-07-31T19:29:01.2741353+00:00"
},
"modified_dateutc": "2026-07-31T19:29:01.2741353+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.